command-line tool you need to install a JDK.

ti setup a file watcher YUI Compressor JS and I keep getting 


To use the “java” command-line tool you need to install a JDK.

and I have install java what do I need to do to get it to work?

 

9 comments

 

Did you install the Oracle JDK?
Generally, the java executable should be globally available in Terminal (run Terminal, enter java and hit Enter to find out).

0

I installed it but running java does not work still acts like it is not install? I don't get it.

0

Hello,

What happens when you execute `java -v` in Terminal?

0

What about `/usr/bin/java -version`?

0

still act like it is not install 

0

That link doesn't seem to work. Is this a WebStorm issue or a macOS issue?

Which version of the JDK needs to be installed?

0

Since you get the same message while trying to execute commands in Terminal (bypassing WebStorm or PhpStorm), it is obvious that the issue is somewhere in your OS (wrong/corrupted installation or wrong PATH contents or something else).

There are many answers for similar questions in Google, for example the official one: https://www.java.com/en/download/faq/yosemite_java.xml

0

Please sign in to leave a comment.